/* eslint-disable react-hooks/rules-of-hooks */
/*
 * @Description:
 * @Author: leizhe
 * @Date: 2022-04-11 18:12:39
 * @LastEditTime: 2022-04-24 15:52:05
 * @LastEditors: leizhe
 */
import React, { useEffect, useState } from 'react';
import { Modal, Form, Input, notification, message, Button, Col, Row, Upload } from 'antd';
import { ImportDataDictionary } from '@/services/dataCenter/api';

const importModal = props => {
  const { visible, onCancel, callBackSubmit = () => {} } = props;
  const [addForm] = Form.useForm();
  const [file, setFile] = useState('');

  useEffect(() => {
    addForm.resetFields();
  }, [visible]);

  const aa = {
    beforeUpload: file => {
      console.log(file);
      addForm.setFieldsValue({
        ModelFile: file.name,
      });
      setFile(file);
      console.log(file);
      return false;
    },
  };

  const importData = () => {
    addForm.validateFields().then(validate => {
      if (validate) {
        const formData = new FormData();
        formData.append('file', file);
        ImportDataDictionary(formData).then(res => {
          if (res.code === 0) {
            callBackSubmit();
            addForm.resetFields();
            notification.success({
              message: '提示',
              duration: 3,
              description: '导入成功',
            });
          } else {
            notification.error({
              message: '提示',
              duration: 3,
              description: res.msg,
            });
          }
        });
      }
    });
  };
  return (
    <Modal
      title="导入数据"
      visible={visible}
      onCancel={onCancel}
      destroyOnClose
      onOk={importData}
      afterClose={() => {
        addForm.resetFields();
      }}
      maskClosable={false}
      okText="确认"
      cancelText="取消"
    >
      <Form form={addForm} labelCol={{ span: 5 }}>
        <Row>
          <Col span={17}>
            <Form.Item
              label="模型文件"
              name="ModelFile"
              labelCol={{ span: 7 }}
              rules={[
                {
                  required: true,
                  message: '请选择文件',
                },
              ]}
            >
              <Input placeholder="仅支持.xls, .xlsx格式" />
            </Form.Item>
          </Col>
          <Col span={7}>
            <Form.Item>
              <Upload {...aa} accept=".xls, .xlsx">
                <Button style={{ width: '130px' }}>上传文件</Button>
              </Upload>
            </Form.Item>
          </Col>
        </Row>
      </Form>
    </Modal>
  );
};
export default importModal;
